
Foreman - Bug #15508

Network address uniqueness enforced, duplicates should be possible

06/23/2016 09:41 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Timo Goebel   

Category: Network   

Target version: 1.12.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.12.0

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3609

  

Description

#14638 reverted a change from #11250 that permitted multiple subnets with the same network address.

https://github.com/theforeman/foreman/commit/0584808#diff-2da178224817fcec2a2d67cf88c49895R65

This uniqueness requirement should be removed.

Related issues:

Related to Foreman - Feature #11250: Remove uniqueness check from network add... Closed 07/29/2015

Related to Foreman - Refactor #14638: Refactor Subnet into STI to allow diffe... Closed 04/14/2016

Associated revisions

Revision 2bbaa8c0 - 06/27/2016 07:38 AM - Timo Goebel

fixes #15508 - allow duplicate networks

Revision c3e9294a - 07/01/2016 08:12 AM - Timo Goebel

fixes #15508 - allow duplicate networks

(cherry picked from commit 2bbaa8c058812cfe544f9e668a7f78bd5d44142f)

History

#1 - 06/23/2016 09:41 AM - Dominic Cleal

- Related to Feature #11250: Remove uniqueness check from network address validator in subnet.rb added

#2 - 06/23/2016 09:41 AM - Dominic Cleal

- Related to Refactor #14638: Refactor Subnet into STI to allow different subnet types added

#3 - 06/23/2016 10:12 AM - Timo Goebel

- Assignee set to Timo Goebel

#4 - 06/23/2016 10:47 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3609 added

#5 - 06/27/2016 08:02 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 2bbaa8c058812cfe544f9e668a7f78bd5d44142f.

Powered by TCPDF (www.tcpdf.org)

05/18/2024 1/1

https://projects.theforeman.org/issues/14638
https://projects.theforeman.org/issues/11250
https://github.com/theforeman/foreman/commit/0584808#diff-2da178224817fcec2a2d67cf88c49895R65
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/2bbaa8c058812cfe544f9e668a7f78bd5d44142f
http://www.tcpdf.org

